/cosmos/base/tendermint/v1beta1/blocks/{height}
GET
GetBlockByHeight queries block for given height.
Path Parameters
heightstringrequired
Responses
hashstring
totalinteger
hashstring
Header defines the structure of a block header.
Consensus captures the consensus rules for processing a block in the blockchain,including all blockchain data structures and the rules of the application'sstate transition machine.
blockstring
appstring
chain_idstring
heightstring
timestring
hashstring
totalinteger
hashstring
last_commit_hashstring
data_hashstring
validators_hashstring
next_validators_hashstring
consensus_hashstring
app_hashstring
last_results_hashstring
evidence_hashstring
proposer_addressstring
txsarray
Txs that will be applied by state @ block.Height+1.NOTE: not all txs here are valid. We're just agreeing on the order first.This means that block.AppHash does not include these txs.Evidence that a validator signed two conflicting votes.
Validator's prevote or precommit vote for consensus.
typestring
SignedMsgType is a type of signed message in the consensus.heightstring
roundinteger
hashstring
totalinteger
hashstring
timestampstring
validator_addressstring
validator_indexinteger
signaturestring
Vote signature of the validator that participated in block consensus.extensionstring
Vote extension provided by the application. Only valid for precommitmessages.extension_signaturestring
Vote extension signature of the validator that participated in block consensus. Valid only for precommit messages.Validator's prevote or precommit vote for consensus.
typestring
SignedMsgType is a type of signed message in the consensus.heightstring
roundinteger
hashstring
totalinteger
hashstring
timestampstring
validator_addressstring
validator_indexinteger
signaturestring
Vote signature of the validator that participated in block consensus.extensionstring
Vote extension provided by the application. Only valid for precommitmessages.extension_signaturestring
Vote extension signature of the validator that participated in block consensus. Valid only for precommit messages.total_voting_powerstring
validator_powerstring
timestampstring
Evidence that the validator set attempted to mislead a light client.
Header defines the structure of a block header.
Consensus captures the consensus rules for processing a block in the blockchain,including all blockchain data structures and the rules of the application'sstate transition machine.
blockstring
appstring
chain_idstring
heightstring
timestring
hashstring
totalinteger
hashstring
last_commit_hashstring
data_hashstring
validators_hashstring
next_validators_hashstring
consensus_hashstring
app_hashstring
last_results_hashstring
evidence_hashstring
proposer_addressstring
Contains evidence that the block was committed by the validator set.
heightstring
roundinteger
hashstring
totalinteger
hashstring
block_id_flagstring
validator_addressstring
timestampstring
signaturestring
addressstring
ed25519string
secp256k1string
voting_powerstring
proposer_prioritystring
addressstring
ed25519string
secp256k1string
voting_powerstring
proposer_prioritystring
total_voting_powerstring
common_heightstring
addressstring
ed25519string
secp256k1string
voting_powerstring
proposer_prioritystring
total_voting_powerstring
timestampstring
Contains evidence that the block was committed by the validator set.
heightstring
roundinteger
hashstring
totalinteger
hashstring
block_id_flagstring
validator_addressstring
timestampstring
signaturestring
Block is tendermint type Block, with the Header proposer addressfield converted to bech32 string.
Header defines the structure of a Tendermint block header.
Consensus captures the consensus rules for processing a block in the blockchain,including all blockchain data structures and the rules of the application'sstate transition machine.
blockstring
appstring
chain_idstring
heightstring
timestring
hashstring
totalinteger
hashstring
last_commit_hashstring
data_hashstring
validators_hashstring
next_validators_hashstring
consensus_hashstring
app_hashstring
last_results_hashstring
evidence_hashstring
proposer_addressstring
proposer_address is the original block proposer address, formatted as a Bech32 string.In Tendermint, this type is bytes, but in the SDK, we convert it to a Bech32 stringfor better UX.txsarray
Txs that will be applied by state @ block.Height+1.NOTE: not all txs here are valid. We're just agreeing on the order first.This means that block.AppHash does not include these txs.Evidence that a validator signed two conflicting votes.
Validator's prevote or precommit vote for consensus.
typestring
SignedMsgType is a type of signed message in the consensus.heightstring
roundinteger
hashstring
totalinteger
hashstring
timestampstring
validator_addressstring
validator_indexinteger
signaturestring
Vote signature of the validator that participated in block consensus.extensionstring
Vote extension provided by the application. Only valid for precommitmessages.extension_signaturestring
Vote extension signature of the validator that participated in block consensus. Valid only for precommit messages.Validator's prevote or precommit vote for consensus.
typestring
SignedMsgType is a type of signed message in the consensus.heightstring
roundinteger
hashstring
totalinteger
hashstring
timestampstring
validator_addressstring
validator_indexinteger
signaturestring
Vote signature of the validator that participated in block consensus.extensionstring
Vote extension provided by the application. Only valid for precommitmessages.extension_signaturestring
Vote extension signature of the validator that participated in block consensus. Valid only for precommit messages.total_voting_powerstring
validator_powerstring
timestampstring
Evidence that the validator set attempted to mislead a light client.
Header defines the structure of a block header.
Consensus captures the consensus rules for processing a block in the blockchain,including all blockchain data structures and the rules of the application'sstate transition machine.
blockstring
appstring
chain_idstring
heightstring
timestring
hashstring
totalinteger
hashstring
last_commit_hashstring
data_hashstring
validators_hashstring
next_validators_hashstring
consensus_hashstring
app_hashstring
last_results_hashstring
evidence_hashstring
proposer_addressstring
Contains evidence that the block was committed by the validator set.
heightstring
roundinteger
hashstring
totalinteger
hashstring
block_id_flagstring
validator_addressstring
timestampstring
signaturestring
addressstring
ed25519string
secp256k1string
voting_powerstring
proposer_prioritystring
addressstring
ed25519string
secp256k1string
voting_powerstring
proposer_prioritystring
total_voting_powerstring
common_heightstring
addressstring
ed25519string
secp256k1string
voting_powerstring
proposer_prioritystring
total_voting_powerstring
timestampstring
Contains evidence that the block was committed by the validator set.
heightstring
roundinteger
hashstring
totalinteger
hashstring
block_id_flagstring
validator_addressstring
timestampstring
signaturestring
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "An unexpected error response."}
cURL
curl -X GET 'https://rest-babylon-mainnet.nodit.io/cosmos/base/tendermint/v1beta1/blocks/{height}' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'